local wk = require("which-key")

wk.add({
    { "<leader>C", group = "ChatGPT", desc = "ChatGPT", icon = "󰭻" },
    { "<leader>Cd", desc = "Docstring" }, { "<leader>Ce", desc = "Explain Code" },
    { "<leader>Cf", desc = "Fix Bugs" },
    { "<leader>Ci", desc = "Edit with Instructions" },
    { "<leader>Co", desc = "Optimize Code" }, { "<leader>Cs", desc = "Summarize" },
    { "<leader>Ct", desc = "Add Tests" },
    { "<leader>K", desc = "Show Docs", icon = "󱔗" },
    { "<leader>T", group = "Telescope", icon = "" },
    { "<leader>Tc", desc = "Color Names" }, { "<leader>Tg", desc = "Glyph" },
    { "<leader>Tn", desc = "Notifications" }, { "<leader>Tt", desc = "Telescope" },
    { "<leader>a", group = "AnyJump", icon = "" },
    { "<leader>ab", desc = "Back" }, { "<leader>al", desc = "Last Result" },
    { "<leader>b", group = "Buffers" }, { "<leader>bb", desc = "Show Buffers" },
    { "<leader>bd", desc = "Delete Buffer" },
    { "<leader>bn", desc = "Next Buffer" },
    { "<leader>bp", desc = "Previous Buffer" },
    { "<leader>c", group = "Code", icon = "" },
    { "<leader>cD", group = "Diagnostic List" },
    { "<leader>cDn", desc = "Next Diagnostic" },
    { "<leader>cDp", desc = "Previous Diagnostic" },
    { "<leader>ca", desc = "Code Action" }, { "<leader>cd", desc = "Diagnostics" },
    { "<leader>cl", desc = "Set Loclist" },
    { "<leader>cp", desc = "Copilot Panel" }, { "<leader>d", group = "Debug" },
    { "<leader>dO",  desc = "Step Out" }, { "<leader>dP", group = "Dap-python" },
    { "<leader>dPc", desc = "Test Class" }, { "<leader>dPm", desc = "Test Method" },
    { "<leader>dPs", desc = "Debug Selection" },
    { "<leader>db",  desc = "Toggle Breakpoint" },
    { "<leader>dc",  desc = "Continue" }, { "<leader>df", desc = "Frames" },
    { "<leader>dh", desc = "Hover" }, { "<leader>di", desc = "Step Into" },
    { "<leader>dl", desc = "Run Last" }, { "<leader>do", desc = "Step Over" },
    { "<leader>dp", desc = "Preview" }, { "<leader>dr", desc = "REPL Open" },
    { "<leader>ds", desc = "Scopes" }, { "<leader>du", group = "Dap UI" },
    { "<leader>duc", desc = "Close" }, { "<leader>duo", desc = "Open" },
    { "<leader>dut", desc = "Toggle" }, { "<leader>f", group = "Find File" },
    { "<leader>fb", desc = "File Browser" }, { "<leader>fc", desc = "File Color" },
    { "<leader>ff", desc = "Find in Current Directory" },
    { "<leader>fg", desc = "Live Grep" }, { "<leader>fr", desc = "File Recent" },
    { "<leader>g",  group = "Git" },
    { "<leader>gP", desc = "Close goto-preview window" },
    { "<leader>gR", desc = "Telescope References" },
    { "<leader>gb", desc = "Blame" }, { "<leader>gc", desc = "Commit" },
    { "<leader>gf", desc = "Files" }, { "<leader>gg", desc = "Lazygit" },
    { "<leader>gp", desc = "Peek" }, { "<leader>gpc", desc = "Close Preview" },
    { "<leader>gpd", desc = "Preview Definition" },
    { "<leader>gpi", desc = "Preview Implementation" },
    { "<leader>h", group = "Help", icon = "󰋖" },
    { "<leader>hc", desc = "Commands" },
    { "<leader>hd", group = "Dap", icon = "" },
    { "<leader>hdC", desc = "Configurations" },
    { "<leader>hdb", desc = "Breakpoints" }, { "<leader>hdc", desc = "Commands" },
    { "<leader>hdf", desc = "Frames" }, { "<leader>hdv", desc = "Variables" },
    { "<leader>hk",  desc = "Keymaps" }, { "<leader>hs", desc = "Spell Suggest" },
    { "<leader>hv", desc = "Vim Options" },
    { "<leader>i", group = "Insert", icon = "" },
    { "<leader>is", group = "Snippet" }, { "<leader>isp", desc = "Python File" },
    { "<leader>j", desc = "Any Jump", icon = "" },
    { "<leader>l", group = "LSP", icon = "" },
    { "<leader>lD", desc = "Diagnostics" }, { "<leader>lR", desc = "Rename" },
    { "<leader>la",  desc = "Code Actions" }, { "<leader>lc", group = "Calls" },
    { "<leader>lci", desc = "Incoming" }, { "<leader>lco", desc = "Outgoing" },
    { "<leader>ld", desc = "Definitions" },
    { "<leader>lh", desc = "Signature Help" },
    { "<leader>li", desc = "Implementations" },
    { "<leader>lr", desc = "References" },
    { "<leader>ls", desc = "Document Symbols" },
    { "<leader>lt", desc = "Type Definitions" },
    { "<leader>lw", desc = "Workspace Symbols" },
    { "<leader>n", desc = "NvimTree" },
    { "<leader>o", group = "Open", icon = "󰮫" }, { "<leader>oB", desc = "Btop" },
    { "<leader>oC", desc = "Nvim Config" },
    { "<leader>oP", desc = "Ipython (fullscreen)" },
    { "<leader>ob", desc = "File Browser" }, { "<leader>oc", desc = "ChatGPT" },
    { "<leader>od", desc = "Lazydocker" },
    { "<leader>of", desc = "Floating Terminal" },
    { "<leader>oh", desc = "Horizontal Terminal" },
    { "<leader>op", desc = "Ipython" }, { "<leader>or", desc = "Ranger" },
    { "<leader>ot", desc = "Vertical Terminal" }, { "<leader>s", group = "Search" },
    { "<leader>sC", desc = "Commands" },
    { "<leader>sc", desc = "Clear Highlights" }, { "<leader>sf", desc = "Files" },
    { "<leader>sG", desc = "Glyph" }, { "<leader>sg", desc = "Grep" },
    { "<leader>sh", desc = "Command History" },
    { "<leader>sm", desc = "Man Pages" }, { "<leader>t", group = "Toggle" },
    { "<leader>tP", desc = "Ipython (fullscreen)" },
    { "<leader>tc", desc = "Colorscheme" }, { "<leader>td", desc = "DBUI" },
    { "<leader>tf", desc = "Floating Terminal" },
    { "<leader>tp", desc = "Ipython" }, { "<leader>tt", desc = "Split Terminal" },
    { "<leader>w", group = "Workspace" }, { "<leader>wa", desc = "Add Folder" },
    { "<leader>wl", desc = "List Folders" },
    { "<leader>wr", desc = "Remove Folder" },
    { "<leader>x", group = "Set Executable Bit", desc = "Set Executable Bit" },
    { "<leader>y", desc = "System Yank", icon = "" },
    { "<leader>e", desc = "Edit", icon = "" }
})
